Subject: bug#31713: closed (Re: bug#31713: 26.1.50; Docstring for 'empty' whitespace-style is clearer than manual)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 05 Jun 2018 15:06:02 +0000

Your bug report

#31713: 26.1.50; Docstring for 'empty' whitespace-style is clearer than manual

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31713: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31713
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31713: 26.1.50; Docstring for 'empty' whitespace-style is clearer than manual
From: Eli Zaretskii <[email-masked]>
To: "Basil L. Contovounesios" <[email-masked]>
Cc: [email-masked]
Date: Tue, 05 Jun 2018 18:05:21 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: "Basil L. Contovounesios" <[email-masked]>
> Date: Mon, 04 Jun 2018 18:06:01 +0100
> 
> tags 31713 patch
> quit
> 
> > The 'empty' whitespace-style option is described under
> > "(emacs) Useless Whitespace" as follows:
> >
> >   ‘empty’
> >        Highlight empty lines.
> >
> > The docstring of whitespace-style, on the other hand, is a bit clearer
> > w.r.t. which lines are considered empty:
> >
> >   empty                empty lines at beginning and/or end of buffer
> >                        are visualized via faces.
> >                        It has effect only if `face' (see above)
> >                        is present in `whitespace-style'.
> >
> > I think the manual should also mention the BOB/EOB restriction.
> 
> I attach a potential amendment.

Thanks, pushed.

Subject: 26.1.50; Docstring for 'empty' whitespace-style is clearer than manual
From: "Basil L. Contovounesios" <[email-masked]>
To: [email-masked]
Date: Mon, 04 Jun 2018 17:55:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: minor

The 'empty' whitespace-style option is described under
"(emacs) Useless Whitespace" as follows:

  ‘empty’
       Highlight empty lines.

The docstring of whitespace-style, on the other hand, is a bit clearer
w.r.t. which lines are considered empty:

  empty                empty lines at beginning and/or end of buffer
                       are visualized via faces.
                       It has effect only if `face' (see above)
                       is present in `whitespace-style'.

I think the manual should also mention the BOB/EOB restriction.

Thanks,

-- 
Basil

In GNU Emacs 26.1.50 (build 1, x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2018-06-03 built on thunk
Repository revision: 16e8541b743a6beb1926fef53cf1bfaed9c346db
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description:	Debian GNU/Linux testing (buster)